using System;
using System.Text;

namespace Takmicenje
{
    class MainClass
    {
        public static void Main(string[] args)
        {
            string tekst = Console.ReadLine();
            string ruzna_rec = Console.ReadLine();
            int najmanji = 0, brojilac = 0;
            int[] sva = new int[ruzna_rec.Length];

            char[] slova = ruzna_rec.ToCharArray();

            for (int i = 0; i < tekst.Length; i++)
            {
                for (int j = 0; j < ruzna_rec.Length; j++)
                {
                    if (tekst[i] == slova[j])
                    {
                        sva[j]++;
                    }
                }
            }

            bool tu_sva = true;

            for (int i = 0; i < sva.Length; i++)
            {
                if (sva[i] == 0)
                    tu_sva = false;
                if (sva[i] < sva[najmanji])
                    najmanji = i;
            }
            StringBuilder sb = new StringBuilder(tekst);
            if (tu_sva)
            {
                for (int i = 0; i < tekst.Length; i++)
                {
                    if (tekst[i] == slova[najmanji])
                    {
                        brojilac++;
                        sb[i] = '*';
                    }
                }
                tekst.Replace(slova[najmanji], '*');
            }

            tekst = sb.ToString();
            Console.WriteLine(brojilac);
            Console.WriteLine(tekst);
        }
    }
}